X-Original-To: alpine-aports@lists.alpinelinux.org Delivered-To: alpine-aports@mail.alpinelinux.org Received: from smtp.core-hosting.net (ns1.core-hosting.net [95.130.13.75]) (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)) (No client certificate requested) by mail.alpinelinux.org (Postfix) with ESMTPS id 4FABCDC0311 for ; Wed, 25 Mar 2015 21:33:24 +0000 (UTC) Received: from mail.core-hosting.net (unknown [10.0.0.4]) (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)) (No client certificate requested) by smtp.core-hosting.net (Postfix) with ESMTPSA id 9057DAA13D3 for ; Wed, 25 Mar 2015 22:33:22 +0100 (CET) X-Mailinglist: alpine-aports Precedence: list List-Id: Alpine Development List-Unsubscribe: List-Post: List-Help: List-Subscribe: MIME-Version: 1.0 Content-Type: multipart/alternative; boundary="=_8e637dd93a712b7f6a48daeda313d8df" Date: Wed, 25 Mar 2015 23:33:22 +0200 From: Olivier Mauras To: Subject: [alpine-aports] [PATCH] testing/sxhkd: new aport Reply-To: Mail-Reply-To: Message-ID: <4b1ac7e50db71f7306a2e7a0b2ec9706@core-hosting.net> X-Sender: olivier@mauras.ch User-Agent: Roundcube Webmail/0.7.2 --=_8e637dd93a712b7f6a48daeda313d8df Content-Transfer-Encoding: 7bit Content-Type: text/plain; charset=UTF-8 >From 8423b2ffaad2f83c6a3a28519ea629371e7cec88 Mon Sep 17 00:00:00 2001 From: Olivier Mauras Date: Wed, 25 Mar 2015 22:28:06 +0100 Subject: testing/sxhkd: new aport https://github.com/baskerville/sxhkd Simple X hotkey daemon diff --git a/testing/sxhkd/APKBUILD b/testing/sxhkd/APKBUILD new file mode 100644 index 0000000..5055f5d --- /dev/null +++ b/testing/sxhkd/APKBUILD @@ -0,0 +1,47 @@ +# Contributor: Olivier Mauras +# Maintainer: +pkgname=sxhkd +pkgver=0.5.5 +pkgrel=0 +pkgdesc="Simple X hotkey daemon" +url="https://github.com/baskerville/sxhkd" +arch="all" +license="bsd" +depends="" +depends_dev="xcb-util-keysyms-dev libxcb-dev" +makedepends="$depends_dev" +install="" +subpackages="$pkgname-doc" +source="https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz" + +_builddir=$srcdir/$pkgname-$pkgver +prepare() { + # Apply patches + cd "$_builddir" + for i in $source; do + case $i in + *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;; + esac + done + + # Fix $PREFIX + cd "$_builddir" + sed -i 's#^PREFIX.*#PREFIX ?= /usr#' Makefile +} + +build() { + cd "$_builddir" + make +} + +package() { + cd "$_builddir" + make DESTDIR="$pkgdir" install || return 1 + # Copy examples + mkdir "$pkgdir"/usr/share/$pkgname + cp -r examples "$pkgdir"/usr/share/$pkgname +} + +md5sums="e04b8d7173059bce156bec6d8cd4297d 0.5.5.tar.gz" +sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313 0.5.5.tar.gz" +sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b 0.5.5.tar.gz" -- cgit v0.10.1 --- http://git.mauras.ch/aports/patch/?id=8423b2ffaad2f83c6a3a28519ea629371e7cec88 --=_8e637dd93a712b7f6a48daeda313d8df Content-Transfer-Encoding: quoted-printable Content-Type: text/html; charset=UTF-8
From 8423b2ffaad2f83c6a3a28519ea629371e7cec88 Mon Sep 17 00:00:00 2001
From: Olivier Mauras <olivier@mauras.ch>
Date: Wed, 25 Mar 2015 22:28:06 +0100
Subject: testing/sxhkd: new aport

https://github.com/baskerville/sxhkd
Simple X hotkey daemon

diff --git a/testing/sxhkd/APKBUILD b/testing/sxhkd/APKBUILD
new file mode 100644
index 0000000..5055f5d
--- /dev/null
+++ b/testing/sxhkd/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Olivier Mauras <olivier@mauras.ch>
+# Maintainer:
+pkgname=3Dsxhkd
+pkgver=3D0.5.5
+pkgrel=3D0
+pkgdesc=3D"Simple X hotkey daemon"
+url=3D"https://github.com/baskerville/sxhkd"
+arch=3D"all"
+license=3D"bsd"
+depends=3D""
+depends_dev=3D"xcb-util-keysyms-dev libxcb-dev"
+makedepends=3D"$depends_dev"
+install=3D""
+subpackages=3D"$pkgname-doc"
+source=3D"https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
+
+_builddir=3D$srcdir/$pkgname-$pkgver
+prepare() {
+	# Apply patches
+	cd "$_builddir"
+	for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+
+	# Fix $PREFIX
+	cd "$_builddir"
+	sed -i 's#^PREFIX.*#PREFIX  ?=3D /usr#' Makefile
+}
+
+build() {
+	cd "$_builddir"
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR=3D"$pkgdir" install || return 1
+	# Copy examples=20
+	mkdir "$pkgdir"/usr/share/$pkgname
+	cp -r examples "$pkgdir"/usr/share/$pkgname
+}
+
+md5sums=3D"e04b8d7173059bce156bec6d8cd4297d  0.5.5.tar.gz"
+sha256sums=3D"e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f0=
4313  0.5.5.tar.gz"
+sha512sums=3D"a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025=
f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b  0.5=
=2E5.tar.gz"
--=20
cgit v0.10.1

---
http://git.mauras.ch/aports/patch/?id=3D8423b2ffaad2f83c6a3a28519e= a629371e7cec88
 
--=_8e637dd93a712b7f6a48daeda313d8df-- --- Unsubscribe: alpine-aports+unsubscribe@lists.alpinelinux.org Help: alpine-aports+help@lists.alpinelinux.org ---